net.minecraft.client.gui

## Class GuiOptionSlider

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - net.minecraft.client.gui.GuiOptionSlider

-     public class GuiOptionSlider
      extends GuiButton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `field_146135_o`

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `buttonTextures, displayString, enabled, field_146123_n, height, id, packedFGColour, visible, width, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiOptionSlider(int p_i45016_1_, int p_i45016_2_, int p_i45016_3_, GameSettings.Options p_i45016_4_)`
    `GuiOptionSlider(int p_i45017_1_, int p_i45017_2_, int p_i45017_3_, GameSettings.Options p_i45017_4_, float p_i45017_5_, float p_i45017_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getHoverState(boolean p_146114_1_)`
    `protected void` | `mouseDragged(Minecraft p_146119_1_, int p_146119_2_, int p_146119_3_)`
    `boolean` | `mousePressed(Minecraft p_146116_1_, int p_146116_2_, int p_146116_3_)`
    `void` | `mouseReleased(int p_146118_1_, int p_146118_2_)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `drawButton, func_146111_b, func_146113_a, func_146115_a, getButtonWidth`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_146135_o

          public boolean field_146135_o

  - ### Constructor Detail

    - #### GuiOptionSlider

          public GuiOptionSlider(int p_i45016_1_,
                         int p_i45016_2_,
                         int p_i45016_3_,
                         GameSettings.Options p_i45016_4_)

    - #### GuiOptionSlider

          public GuiOptionSlider(int p_i45017_1_,
                         int p_i45017_2_,
                         int p_i45017_3_,
                         GameSettings.Options p_i45017_4_,
                         float p_i45017_5_,
                         float p_i45017_6_)

  - ### Method Detail

    - #### getHoverState

          protected int getHoverState(boolean p_146114_1_)

      Overrides:
        `getHoverState` in class `GuiButton`

    - #### mouseDragged

          protected void mouseDragged(Minecraft p_146119_1_,
                          int p_146119_2_,
                          int p_146119_3_)

      Overrides:
        `mouseDragged` in class `GuiButton`

    - #### mousePressed

          public boolean mousePressed(Minecraft p_146116_1_,
                             int p_146116_2_,
                             int p_146116_3_)

      Overrides:
        `mousePressed` in class `GuiButton`

    - #### mouseReleased

          public void mouseReleased(int p_146118_1_,
                           int p_146118_2_)

      Overrides:
        `mouseReleased` in class `GuiButton`